> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clearline.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Kiosk menu list

> Retrieve Kiosk menu list for the specified POS system and terminal.



## OpenAPI

````yaml /openapi.yaml get /pos/{posSystemId}/kiosk/{terminalId}/menu
openapi: 3.0.1
info:
  title: ClearLine POS API
  description: >-
    Point of Sale integration API for ClearLine Marketing Platform. This API
    enables POS systems to send transaction data, manage customer interactions,
    and integrate with marketing campaigns.
  version: v1
servers:
  - url: https://public-api-demo.clearline.me
    description: ClearLine API Server
security: []
paths:
  /pos/{posSystemId}/kiosk/{terminalId}/menu:
    get:
      tags:
        - Kiosks
      summary: Get Kiosk menu list
      description: Retrieve Kiosk menu list for the specified POS system and terminal.
      operationId: PosKiosk_CfsMenuList
      parameters:
        - name: terminalId
          in: path
          required: true
          schema:
            type: string
        - name: posSystemId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/PosKioskMenuDtoApiResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/PosKioskMenuDtoApiResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/PosKioskMenuDtoApiResponse'
            application/xml:
              schema:
                $ref: '#/components/schemas/PosKioskMenuDtoApiResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/PosKioskMenuDtoApiResponse'
      security:
        - BearerAuth: []
        - ImplicitAuth: []
components:
  schemas:
    PosKioskMenuDtoApiResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/PosKioskMenuDto'
      additionalProperties: false
    PosKioskMenuDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/PosKioskMenuItemDto'
          description: Menu items
          nullable: true
      additionalProperties: false
      description: Pos Kiosk menu
    PosKioskMenuItemDto:
      type: object
      properties:
        title:
          type: string
          description: Menu title
          nullable: true
        icon:
          type: string
          description: Menu icon
          nullable: true
        pageUrl:
          type: string
          description: Page URL
          nullable: true
      additionalProperties: false
      description: Pos Kiosk menu item
  securitySchemes:
    BearerAuth:
      type: http
      description: |-

        JWT Authorization header using the Bearer scheme.

        Enter **_JWT Bearer token only_** in the text input below.
      scheme: bearer
      bearerFormat: JWT
    ImplicitAuth:
      type: oauth2
      description: Implicit scheme
      flows:
        implicit:
          authorizationUrl: https://logindemo.clearline.me/connect/authorize
          scopes:
            clearline_api: Grants access to Clearline API endpoints.

````